Requests - Watches API
Requests - Watches API
Section titled “Requests - Watches API”List all watches of a request
Section titled “List all watches of a request”List all watches of the request with a specific ID:
GET /requests/:id/watchesResponse
Section titled “Response”Status: 200 OK[ { "added_by": { "id": 6, "name": "Howard Tanner", "account": { "id": "pro-product", "name": "Widget International" } }, "created_at": "2023-02-01T05:14:45-06:00", "id": 4580, "person": { "id": 567, "name": "Tom Waters", "account": { "id": "pro-product", "name": "Widget International" } }, "updated_at": "2023-02-01T05:14:45-06:00", "account": { "id": "pro-product", "name": "Widget International" } }, { "added_by": { "id": 6, "name": "Howard Tanner", "account": { "id": "pro-product", "name": "Widget International" } }, "created_at": "2023-02-01T05:14:45-06:00", "id": 4581, "person": { "id": 208, "name": "Ellen Brown", "account": { "id": "pro-product", "name": "Widget International" } }, "updated_at": "2023-02-01T05:14:45-06:00", "account": { "id": "pro-product", "name": "Widget International" } }]The response contains these fields by default.
Add a watch to a request
Section titled “Add a watch to a request”Add a watch to a request with a specific ID.
POST /requests/:id/watchesWhen creating a new watch for a request these fields are available.
Response
Section titled “Response”Status: 200 OK{ "added_by": { "id": 6, "name": "Howard Tanner", "account": { "id": "pro-product", "name": "Widget International" } }, "created_at": "2023-02-01T05:14:45-06:00", "id": 4580, "person": { "id": 567, "name": "Tom Waters", "account": { "id": "pro-product", "name": "Widget International" } }, "updated_at": "2023-02-01T05:14:45-06:00", "account": { "id": "pro-product", "name": "Widget International" }}Update a watch of a request
Section titled “Update a watch of a request”Update a watch of a request with a specific ID.
PATCH /requests/:id/watches/:watch_idWhen updating an existing watch for a request these fields are available.
Response
Section titled “Response”Status: 200 OK{ "status": "registered", "...": "..."}Remove a watch from a request
Section titled “Remove a watch from a request”Remove a watch with a specific ID from a request with a specific ID.
DELETE /requests/:id/watches/:watch_idResponse
Section titled “Response”Status: 204 No ContentRemove all watches from a request
Section titled “Remove all watches from a request”Remove all watch from a request with a specific ID.
DELETE /requests/:id/watches/Response
Section titled “Response”Status: 204 No ContentFields
Section titled “Fields”added_by
Readonly reference to Person — The person who created the watch.
created_at
Readonly datetime — The date and time at which the watch was created.
id
Readonly integer — The unique ID of the watch.
person
Required reference to Person — The person who is selected as the watcher.
updated_at
Readonly
datetime
— The date and time of the last update of the watch. If the watch has had no updates it contains the
created_at
value.